* [gentoo-commits] repo/gentoo:master commit in: games-util/uglygs/files/, games-util/uglygs/
@ 2018-05-02 19:28 Pacho Ramos
0 siblings, 0 replies; only message in thread
From: Pacho Ramos @ 2018-05-02 19:28 UTC (permalink / raw
To: gentoo-commits
commit: 2f04038e4899be657a95cbc85cda8eb29f4a175c
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed May 2 19:27:05 2018 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed May 2 19:28:22 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f04038e
games-util/uglygs: Stop using games.eclass
Package-Manager: Portage-2.3.31, Repoman-2.3.9
games-util/uglygs/files/0_rc11-uglygs.conf.patch | 4 +-
games-util/uglygs/files/0_rc11-uglygs.pl.patch | 8 ++--
games-util/uglygs/servers.cfg | 0
games-util/uglygs/uglygs-0_rc11-r1.ebuild | 55 ++++++++++++++++++++++++
4 files changed, 61 insertions(+), 6 deletions(-)
diff --git a/games-util/uglygs/files/0_rc11-uglygs.conf.patch b/games-util/uglygs/files/0_rc11-uglygs.conf.patch
index 6ee918c7008..f85c6a3c319 100644
--- a/games-util/uglygs/files/0_rc11-uglygs.conf.patch
+++ b/games-util/uglygs/files/0_rc11-uglygs.conf.patch
@@ -1,5 +1,5 @@
---- uglygs.conf.orig 2003-06-30 11:16:57.000000000 -0400
-+++ uglygs.conf 2003-06-30 11:22:50.000000000 -0400
+--- a/uglygs.conf.orig 2003-06-30 11:16:57.000000000 -0400
++++ b/uglygs.conf 2003-06-30 11:22:50.000000000 -0400
@@ -12,22 +12,23 @@
$runmode = "loop"; # Run mode, Run as a loop or as a cron Executable
diff --git a/games-util/uglygs/files/0_rc11-uglygs.pl.patch b/games-util/uglygs/files/0_rc11-uglygs.pl.patch
index 8c7f7943c97..61758e621a9 100644
--- a/games-util/uglygs/files/0_rc11-uglygs.pl.patch
+++ b/games-util/uglygs/files/0_rc11-uglygs.pl.patch
@@ -1,5 +1,5 @@
---- uglygs.pl.orig 2003-06-30 11:37:59.000000000 -0400
-+++ uglygs.pl 2003-06-30 11:38:30.000000000 -0400
+--- a/uglygs.pl.orig 2003-06-30 11:37:59.000000000 -0400
++++ b/uglygs.pl 2003-06-30 11:38:30.000000000 -0400
@@ -8,7 +8,8 @@
########## Contact uglygs@uglypunk.com ##########
#########################################################################################################################
@@ -127,5 +127,5 @@
while($serverline = <QSTAT>){
my @data = split(/ /,$serverline);
if ($data[0] eq "<!--" and $data[1] eq "gamedetails"){
---- uglygs.pl.orig 2003-06-30 13:56:01.000000000 -0400
-+++ uglygs.pl 2003-06-30 13:59:17.000000000 -0400
+--- a/uglygs.pl.orig 2003-06-30 13:56:01.000000000 -0400
++++ b/uglygs.pl 2003-06-30 13:59:17.000000000 -0400
diff --git a/games-util/uglygs/servers.cfg b/games-util/uglygs/servers.cfg
new file mode 100644
index 00000000000..e69de29bb2d
diff --git a/games-util/uglygs/uglygs-0_rc11-r1.ebuild b/games-util/uglygs/uglygs-0_rc11-r1.ebuild
new file mode 100644
index 00000000000..a431e691ff3
--- /dev/null
+++ b/games-util/uglygs/uglygs-0_rc11-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="${P/0_/}"
+DESCRIPTION="Quickly searches the network for game servers"
+HOMEPAGE="http://uglygs.uglypunk.com/"
+SRC_URI="ftp://ftp.uglypunk.com/uglygs/current/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~alpha ~hppa ~x86"
+IUSE=""
+
+DEPEND="net-analyzer/rrdtool[graph]
+ dev-lang/perl"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+ eapply "${FILESDIR}"/${PV}-uglygs.conf.patch
+ sed -i \
+ -e "s:GENTOO_DIR:/usr/$(get_libdir)/${PN}:" uglygs.conf || die
+ eapply "${FILESDIR}"/${PV}-uglygs.pl.patch
+ sed -i \
+ -e "s:GENTOO_DIR:/etc:" uglygs.pl || die
+ sed -i \
+ -e "s/strndup/${PN}_strndup/" qstat/qstat.c || die
+}
+
+src_compile() {
+ emake -C qstat CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ insinto /etc
+ doins uglygs.conf qstat/qstat.cfg
+
+ dobin uglygs.pl
+
+ insinto /usr/"$(get_libdir)"/${PN}
+ doins -r data templates tmp
+ insinto /usr/"$(get_libdir)"/${PN}/images
+ doins -r images/{avp2,bds,default.gif,hls,j2s,mhs,q3s,rws,sf2s,uns,vcs}
+ dosym bds /usr/"$(get_libdir)"/${PN}/images/bdl
+ keepdir /usr/"$(get_libdir)"/${PN}/tmp
+
+ exeinto /usr/"$(get_libdir)"/${PN}
+ doexe qstat/qstat
+
+ einstalldocs
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2018-05-02 19:28 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-05-02 19:28 [gentoo-commits] repo/gentoo:master commit in: games-util/uglygs/files/, games-util/uglygs/ Pacho Ramos
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox